# ecope -- easy components for jQuery

***

ecope 是一个基于 jQuery 的组件库，集合了一些常见的简单实用的组件。

基于 AMD 的模块化规范，使用 [seed](https://github.com/chenmnkken/seed) 作为加载器，当然你也可以使用符合AMD规范的加载器，如 requireJS。

其中 seed-jquery.js 是 seed(加载器) 与 jQuery(基础类库) 的集合体。

有问题可以提 issue，或者加入 QQ群：202604349 讨论。 

[在线文档](https://github.com/chenmnkken/ecope/wiki)

***

**在使用 ecope 的组件库之前，如果能花上几分钟看看下面的一些简单的入门指南，在使用组件的时候你会更加的得心应手。**

### 简单性
ecope 的组件库在 UI(界面) 层面尽量保持简单，开发者可以很方便的通过修改 CSS 样式就可以轻松定制自己想要的样式。
使用一个组件通常情况下只需要寥寥几行 JS 代码。

### 一致性
组件在接口设计、命名规则上都尽可能的保持一致。通常，你只要使用过任意一个组件，那么其他组件也很容易上手。

### 模块化
每个组件都是一个独立的符合 AMD 规范的模块，都依赖 seed-jquery 的核心库，在使用时都可以通过 seed.use 来进行加载。

### 命名空间
所有组件的命名空间都是 **$.ui**，在组件加载完后都可以通过 **$.ui.xxxx** 来访问。

### 实例化
在使用组件时都需要通过 **new** 关键字来实例化，组件类的首字母都是 大写。

实例化时，**第一个参数** 都是必需的，该参数通常都是设置需要实例化某个/组 DOM 元素。该参数可以是选择器字符串、DOM 元素以及 jQuery Object 的对象。

实例化时，**第二个参数** 都是可选的，该参数是一个多选可配置形式的 Object 对象。

### 事件处理
组件在实例化后都可以通过 **on** 方法来为组件绑定事件，同样，也可以通过 **un** 方法来卸载事件。各组件支持的事件类型可以在详细的说明文档中看到。在多选形式的配置参数中，除了可能存在 init 回调函数，不会有任何其他的回调。

### 销毁实例
组件实例可以通过 **destroy** 方法进行销毁。

***
